<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'gift_card',

    /*
     * Modules.
     */
    'modules'   => ['gift_card'],

    
    'gift_card'       => [
        'model' => [
            'model'                 => \Litecms\GiftCard\Models\GiftCard::class,
            'table'                 => 'gift_cards',
            'presenter'             => \Litecms\GiftCard\Repositories\Presenter\GiftCardPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['user_id',  'card_code',  'cvv',  'exp_date',  'admin_fee',  'card_setup_fee',  'card_balance',  'status'],
            'translatables'         => [],
            'upload_folder'         => 'gift_card/gift_card',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'GiftCard',
            'module'    => 'GiftCard',
        ],

    ],
];
