Lavalite package that provides gift_card management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/gift_card`.

    "litecms/gift_card": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\GiftCard\Providers\GiftCardServiceProvider::class,

And also add it to alias

    'GiftCard'  => Litecms\GiftCard\Facades\GiftCard::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\GiftCardTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\GiftCard\Providers\GiftCardServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\GiftCard\Providers\GiftCardServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\GiftCard\Providers\GiftCardServiceProvider" --tag="view"


## Usage


