<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for gift_card in gift_card package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  gift_card module in gift_card package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'GiftCard',
    'names'         => 'GiftCards',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'GiftCards',
        'sub'   => 'GiftCards',
        'list'  => 'List of gift_cards',
        'edit'  => 'Edit gift_card',
        'create'    => 'Create new gift_card'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'user_id'                    => 'Select Client',
        'card_code'                  => '',
        'cvv'                        => '',
        'exp_date'                   => '',
        'admin_fee'                  => '',
        'card_setup_fee'             => '',
        'card_balance'               => '',
        'status'                     => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'user_id'                    => 'Clients',
        'card_code'                  => '',
        'cvv'                        => '',
        'exp_date'                   => '',
        'admin_fee'                  => '',
        'card_setup_fee'             => '',
        'card_balance'               => '',
        'status'                     => 'Status',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'user_id'                    => ['name' => 'Clients', 'data-column' => 1, 'checked'],
        'status'                     => ['name' => 'Status', 'data-column' => 2, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'GiftCards',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
