            @include('gift_card::public.gift_card.partial.header')

            <section class="single">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            @include('gift_card::public.gift_card.partial.aside')
                        </div>
                        <div class="col-md-9 ">
                            <div class="area">
                                <div class="item">
                                    <div class="feature">
                                        <img class="img-responsive center-block" src="{!!url($gift_card->defaultImage('images' , 'xl'))!!}" alt="{{$gift_card->title}}">
                                    </div>
                                    <div class="content">
                                        <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_id">
                    {!! trans('gift_card::gift_card.label.user_id') !!}
                </label><br />
                    {!! $gift_card['user_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="card_code">
                    {!! trans('gift_card::gift_card.label.card_code') !!}
                </label><br />
                    {!! $gift_card['card_code'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="cvv">
                    {!! trans('gift_card::gift_card.label.cvv') !!}
                </label><br />
                    {!! $gift_card['cvv'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="exp_date">
                    {!! trans('gift_card::gift_card.label.exp_date') !!}
                </label><br />
                    {!! $gift_card['exp_date'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="admin_fee">
                    {!! trans('gift_card::gift_card.label.admin_fee') !!}
                </label><br />
                    {!! $gift_card['admin_fee'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="card_setup_fee">
                    {!! trans('gift_card::gift_card.label.card_setup_fee') !!}
                </label><br />
                    {!! $gift_card['card_setup_fee'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="card_balance">
                    {!! trans('gift_card::gift_card.label.card_balance') !!}
                </label><br />
                    {!! $gift_card['card_balance'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="status">
                    {!! trans('gift_card::gift_card.label.status') !!}
                </label><br />
                    {!! $gift_card['status'] !!}
            </div>
        </div>
    </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('user_id')
                    -> fromQuery(\Litecms\GiftCard\Models\GiftCard::all(), 'name', 'id')
                    -> label(trans('gift_card::gift_card.label.user_id'))
                    -> required()
                    -> placeholder(trans('gift_card::gift_card.placeholder.user_id'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('status')
                   -> radios(trans('gift_card::gift_card.options.status'))
                   -> label(trans('gift_card::gift_card.label.status'))!!}
                </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>



