<?php

namespace Litecms\GiftCard\Repositories\Eloquent;

use Litecms\GiftCard\Interfaces\GiftCardRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class GiftCardRepository extends BaseRepository implements GiftCardRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.gift_card.gift_card.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.gift_card.gift_card.model.model');
    }
}
